Subject: Re: Cross-Platform Version Control

From: Theodore Tso <[email-masked]>
Date: Wed, 13 May 2009 17:04:25 -0400

On Wed, May 13, 2009 at 11:37:28AM -0700, Linus Torvalds wrote:
> Note: in all of the above, I assume that people care more about just plain 
> UTF characters (and the insane NFD form OS X uses) than about worrying 
> about the _really_ subtle issues of case-independence. Those are a major 
> pain, but they will need even more "internal" support, because there 
> simply isn't any sane wrapping method.

Stupid question --- if we get something that works for Windows and
MacOS X, is there any reason why we need to solve the general problem
of case-insentive filesystems?  It's really backwards compatibility
with Legacy OS's that most important, right?  Are there any other
systems other than Windows and Mac OS X which (a) perpetrate case
insensitivity on application programmers, and (b) which current or
future git users are likely to care about?

						- Ted